import * as $dara from '@darabonba/typescript';
import { DeleteDiagnosticMetricSetsResponseBody } from "./DeleteDiagnosticMetricSetsResponseBody";
export declare class DeleteDiagnosticMetricSetsResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DeleteDiagnosticMetricSetsResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
